
/*---------------------------------------------------------------------------------
    BEGIN: Availability Widget controls / general
---------------------------------------------------------------------------------*/
#villa-availability-widget
{
    position:relative;
}
.flatpickr-calendar.open
{
    z-index: 9999;
}
.flatpickr-months .flatpickr-prev-month, .flatpickr-months .flatpickr-next-month {
    cursor: pointer;
    color: #60C5C7;
    fill: #60C5C7;
}
.flatpickr-months .flatpickr-prev-month:hover, .flatpickr-months .flatpickr-next-month:hover,
.flatpickr-months .flatpickr-prev-month:hover svg, .flatpickr-months .flatpickr-next-month:hover svg {
    color: #EFA1DF;
    fill: #EFA1DF;
}
.flatpickr-months .flatpickr-prev-month svg, .flatpickr-months .flatpickr-next-month svg {
    width: 18px;
    height: 18px;
}
#villa-availability-widget,
.flatpickr-calendar.mi-widget,
.quote-user
{
    --border-radius: 9px;
    --section-margin-top: 10px;
    --heading-margin-top: 20px;
    --section-padding: 10px;
    --widgets-spacing-row: 10px;
}
#villa-availability-widget .vaw-wrap
{
    display: flex;
    flex-wrap: wrap;
    opacity:0;
    transition: all .2s ease-in-out;
}
#villa-availability-widget.loaded .vaw-wrap
{
    opacity:1;
}
#villa-availability-widget .date
{
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    position: relative;
    z-index: 10;
    width: 50%;
}
#villa-availability-widget label
{
    text-transform: uppercase;
}
#villa-availability-widget .date .input-wrap
{
    position: relative;
    font-family: inherit;
    width: 100%;
    max-width:100%;
}
#villa-availability-widget .date .input-wrap:after,
#villa-availability-widget .selected-package::after
{
    content: '\2335'; /* 02C5 */
    pointer-events: none;
    width: 22px;
    height: 22px;
    font-family: inherit;
    color: var(--e-global-color-primary);
    position: absolute;
    font-weight: 700;
    font-size: 22px;
    right: 7px;
    top: 8px;
    text-align: center;
}
#villa-availability-widget .date input
{
    width: 100%;
    padding: var(--section-padding) 25px var(--section-padding) var(--section-padding);
    font-size: max(1em, 16px); /* 16px minimum prevents iOS Safari auto-zoom on focus */
    border-radius: var(--border-radius);
    outline-color: var(--e-global-color-primary);
    -webkit-appearance: none;
}

#villa-availability-widget .controls,
#villa-availability-widget .quote
{
    display: flex;
    width:100%;
    flex-grow: 1;
    column-gap: 10px;
}

#villa-availability-widget .quote
{
    flex-wrap: wrap;
}

#villa-availability-widget .not-available-msg,
#villa-availability-widget .not-available-pricing,
#villa-availability-widget .min-stay-msg
{
    display: none;
    opacity:0;
    width: 100%;
    text-align: center;
    margin-top: var(--section-margin-top);
    color: var(--e-global-color-df5a56c);
    background-color: var(--e-global-color-accent);
    padding: var(--section-padding);
}

#villa-availability-widget.not-available .not-available-msg,
#villa-availability-widget.not-available-pricing .not-available-pricing,
#villa-availability-widget.min-stay-violated .min-stay-msg
{
    display:block;
    transition: all .2s ease-in-out;
    opacity:1;
}

/*---------------------------------------------------------------------------------
    END: Availability Widget controls / general
---------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------
    BEGIN: Popup calendar
---------------------------------------------------------------------------------*/
.flatpickr-calendar.mi-widget .flatpickr-weekdaycontainer
{
    justify-content: center;
}
.flatpickr-calendar.mi-widget .flatpickr-weekday
{
    text-transform: uppercase;
    max-width: 39px;
}
.flatpickr-calendar.mi-widget .flatpickr-innerContainer
{
    padding-top: 5px;
    padding-bottom: var(--section-padding);
}
.flatpickr-calendar.mi-widget .dayContainer
{
    justify-content:center;
}
.flatpickr-calendar.mi-widget .flatpickr-day
{
    border:0;
    border-radius: 0;
    margin:0;
    width:40px;
    height:40px;
    line-height:40px;
    max-width:40px;
}
.flatpickr-calendar.mi-widget .flatpickr-day .day-wrap
{
    position: relative;
    z-index: 10;
}

/* BEGIN: borders */
.flatpickr-calendar.mi-widget .flatpickr-day
{
    border: 1px solid #d0d5de;
    box-sizing: border-box;
    margin: 0 0 0 -1px;
}
.flatpickr-calendar.mi-widget .flatpickr-days
{
    margin: 0;
}
.flatpickr-calendar.mi-widget .flatpickr-day:not(:nth-child(-n+7))
{
    margin-top: -1px;
}
/* END: borders */

/* BEGIN: day styling */
.flatpickr-calendar.mi-widget .flatpickr-day,
.flatpickr-calendar.mi-widget .flatpickr-day.available,
.flatpickr-calendar.mi-widget .flatpickr-day.checkout-allowed
{
    color: var(--e-global-color-primary);
}
.flatpickr-calendar.mi-widget .flatpickr-day.flatpickr-disabled
{
    color:#d0d5de;
    background-color:#eceff3;
}
.flatpickr-calendar.mi-widget .flatpickr-day.selected,
.flatpickr-calendar.mi-widget .flatpickr-day.selected-checkin,
.flatpickr-calendar.mi-widget .flatpickr-day.in-range,
.flatpickr-calendar.mi-widget .flatpickr-day:not(.flatpickr-disabled):hover
{
    color:#ffffff;
    background-color: var(--e-global-color-primary);
}
.flatpickr-calendar.mi-widget .flatpickr-day.today
{
    background-color: var(--e-global-color-accent);
    color:#ffffff;
}

/* checkin / checkout allowed styling */
.flatpickr-calendar.mi-widget .flatpickr-day.checkin-allowed:after,
.flatpickr-calendar.mi-widget .flatpickr-day.checkout-allowed:after
{
    content: '';
    display:block;
    position: absolute;
    z-index: 5;
    top: 0;
    left: 0;
    width:100%;
    height:100%;
}

.flatpickr-calendar.mi-widget .flatpickr-day.checkin-allowed:after
{
    background: linear-gradient(
        135deg, /* The angle: bottom-left to top-right */
        #eceff3 50%, /* Your check-in color for the 2nd half */
        transparent 50% /* Transparent for the 1st half */
    );
}
.flatpickr-calendar.mi-widget .flatpickr-day.checkout-allowed:after
{
    background: linear-gradient(
        135deg, /* The angle: bottom-left to top-right */
        transparent 50%, /* Transparent for the 1st half */
        #eceff3 50% /* Your check-in color for the 2nd half */
    );
}

/* MONTH YEAR HEADINGS */
.flatpickr-current-month {
    display: flex;
    width: 80%;
    left: 10%;
    position: relative;
    padding:0;
}
.flatpickr-months .flatpickr-month
{
    margin-top:2px;
    color: #787878!important;
}

.flatpickr-current-month .flatpickr-monthDropdown-months {
    flex-grow: 1;
    text-transform: uppercase;
    color: #787878;
    font-weight: 300;
    vertical-align: text-bottom;
    position: relative;
}

.flatpickr-current-month .numInputWrapper
{
    width: auto;
    display: flex;
    flex-grow: 1;
    margin-left:10px;
}

.flatpickr-current-month .numInputWrapper span
{
    opacity: 1;
    position: relative;
    height: 100%;
    width: auto;
    top: 0;
    border: 0;
    padding: 0;
}

.flatpickr-current-month input.cur-year
{
    text-transform: uppercase;
    color: #787878;
    font-weight: 300;
    width:auto;
    order:2;
    padding:0;
    text-align: center;
    font-size: 16px; /* prevents iOS Safari auto-zoom on focus */
}
.flatpickr-current-month .flatpickr-monthDropdown-months
{
    font-size: 16px; /* prevents iOS Safari auto-zoom on focus */
}
.flatpickr-current-month .numInputWrapper span:after
{
    position:relative;
}
.flatpickr-current-month .numInputWrapper span.arrowUp
{
    padding:5px;
    border:none;
    order:3;
    display: none; /* Flick Edit */
}
.flatpickr-current-month .numInputWrapper span.arrowUp:after
{
    position: relative;
    top: 6px;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 10px solid var(--e-global-color-primary);
}
.flatpickr-current-month .numInputWrapper span.arrowDown
{
    padding:5px;
    border:none;
    display: none; /* Flick Edit */
}
.flatpickr-current-month .numInputWrapper span.arrowDown:after
{
    position: relative;
    top: 7px;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 10px solid var(--e-global-color-primary);
}


/* END: day styling */

/*---------------------------------------------------------------------------------
    END: Popup calendar
---------------------------------------------------------------------------------*/

/* BEGIN: buttons */
#villa-availability-widget .btn-reserve
{
    display:none;
    width:100%;
    margin: var(--heading-margin-top) auto 0 auto;
}
#villa-availability-widget.available .btn-reserve
{
    display:block;
}

#villa-availability-widget.available .btn-reserve a
{
    width:100%;
}
/* END: buttons */

/* BEGIN: loader */
#villa-availability-widget .loader
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height:100%;
    pointer-events: none;
    opacity: 0;
    background-color:transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    transition: all .5s ease-in-out;
    border-radius: 9px;
}

#villa-availability-widget.working .loader
{
    opacity: 1;
    background-color:#00000088;
    pointer-events: unset;
    transition: opacity 0.5s ease-in-out;
}

#villa-availability-widget .loader img
{
    /*
    max-height:80%;
    max-width:80%;
    */
    max-width:175px;
    max-height:90%;
}
#villa-availability-widget.working .loader img
{
    animation: pulseSilhouette 1s infinite ease;
}

#villa-availability-widget.working > :not(.loader)
{
    /*animation: workingIn 0.05s ease forwards;*/
    filter: brightness(100) grayscale(0) blur(1px) contrast(.5);
}

#villa-availability-widget:not(.working) > :not(.loader)
{
  /*animation: workingOut 0.05s ease forwards;*/
  filter: none;
}

@keyframes workingIn {
  0% {
    filter: blur(0px) grayscale(0);
  }
  50% {
    filter: blur(2.5px) grayscale(0.5);
  }
  100% {
    filter: blur(5px) grayscale(1);
  }
}

@keyframes workingOut {
  0% {
    filter: blur(5px) grayscale(1);
  }
  50% {
    filter: blur(2.5px) grayscale(.5);
  }
  100% {
    filter: blur(0px) grayscale(0);
  }
}

@keyframes pulseSilhouette {
    0% {
        transform: scale(0.5);
    }
    50% {
        transform: scale(1);
    }
    100% {
        transform: scale(0.5);
    }
}
/* END: loader */



/* BEGIN: Packages Dropdown */
#villa-availability-widget .packages-dropdown {
    position: relative;
    width: 100%;
    margin-top: var(--section-margin-top);
    font-family: inherit;
    z-index: 5;
}

#villa-availability-widget .selected-package {
    padding: var(--section-padding);
    background-color: var(--e-global-color-df5a56c);
    border-radius: var(--border-radius);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--e-global-color-text);
}

#villa-availability-widget .package-options {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: var(--e-global-color-df5a56c);
    border: 1px solid #d0d5de;
    border-radius: var(--border-radius);
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
    transition: max-height .2s ease-in-out, opacity .2s ease-in-out;
    max-height: 0;
    opacity: 0;
}

#villa-availability-widget .package-options.visible
{
    max-height: 500px;
    opacity: 1;
}

#villa-availability-widget .package-options li {
    padding: var(--section-padding);
    cursor: pointer;
    transition: background-color 0.2s ease-in-out;
}

#villa-availability-widget .package-options li:hover {
    background-color: var(--e-global-color-secondary);
}
/* END: Packages Dropdown */


/* BEGIN: Headings */
#villa-availability-widget .heading
{
    display:none;
    margin-top: var(--heading-margin-top);
    text-transform: uppercase;
    flex-grow: 1;
}
#villa-availability-widget.available .heading
{
    display:flex;
}
#villa-availability-widget .heading h4
{
    margin:0;
    font-size:1em;
    flex-grow: inherit;
}
/* END: Headings */

/* BEGIN: line items & totals */
#villa-availability-widget .line-items
{
    position: relative;
    width: 100%;
    font-family: inherit;
}
#villa-availability-widget .item,
#villa-availability-widget .total-wrap
{
    margin-top: var(--section-margin-top);
    padding: var(--section-padding);
    border-radius: var(--border-radius);
    background-color: var(--e-global-color-df5a56c);
}
#villa-availability-widget .price .was
{
    text-decoration:line-through;
}
#villa-availability-widget .discount-info
{
    margin-top:5px;
    color: var(--e-global-color-primary);
}
#villa-availability-widget .line-items-wrap .item:not(:nth-child(1))
{
    padding-top: var(--section-padding);
}
#villa-availability-widget .line-items-wrap .base
{
    font-style: italic;
    font-size:85%;
    margin-top:5px;
}
/* HIDE Rp on IDR */
#villa-availability-widget .line-items-wrap .base span[data-currency="IDR"] span {
    display:none;
}
#villa-availability-widget .total
{
    width: 100%;
}
/* END: line items & totals */

/* BEGIN: Form "static" quote in Gravity Forms */
.reservation .quote-user
{
    padding:20px;
    background-color: #ffffff;
    border-radius: var(--border-radius);
    border: 1px solid var( --e-global-color-primary ) !important;
}
.reservation .quote-user .vaw-wrap .dates
{
    display: flex;
    width: 100%;
    column-gap: 10px;
    flex-direction: row;
    flex-wrap: wrap;
}
.reservation .quote-user .section,
.reservation .quote-user .item
{
    margin-bottom: var(--section-margin-top);
}
.reservation .quote-user h4
{
    font-size:1em!important;
    font-weight: 500;
    margin:0;
    color: var( --e-global-color-primary );
    text-transform: uppercase;
}
.reservation .quote-user .was
{
    text-decoration:line-through;
}
.reservation .quote-user .date
{
    width:40%;
    flex-grow: 1;
}
.reservation .quote-user .nights
{
    width: 100%;
}
.reservation .quote-user .panel
{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: var(--section-padding);
    background-color: #f3f3f3;
    border-radius: var(--border-radius);
    color: var(--e-global-color-text);
}

/* END: Form "static" quote in Gravity Forms */